#pragma once

#include <QMainWindow>
#include <QMenuBar>
#include <QStatusBar>
#include <QToolBar>
#include <graph/server/plugin.h>

namespace Ui {
class MainWindow;
}

namespace Graph::GUI {
class MainWindow : public QMainWindow {
  Q_OBJECT
public:
  explicit MainWindow(QWidget *parent = nullptr);
  ~MainWindow();

private slots:
  void on_action_Add_triggered();
  void on_action_Load_triggered();

private:
  Ui::MainWindow *ui;

  PluginModel* pluginsModel;
};
} // namespace Graph::GUI
